---
title: keyStatuses
slug: Web/API/MediaKeySession/keyStatuses
tags:
  - API
  - EncryptedMediaExtensions
  - Experimental
  - MediaKeySession
  - NeedsExample
  - Property
  - Reference
  - keyStatuses
---
<div>{{APIRef("EncryptedMediaExtensions")}}{{SeeCompatTable}}</div>

<p>The <code><strong>MediaKeySession.keyStatuses</strong></code> read-only property returns a reference to a read-only {{domxref('MediaKeyStatusMap')}} of the current session's keys and their statuses.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>mediaKeyStatusMapObj</var> = <var>mediaKeySessionObj</var>.keyStatuses;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME', '#dom-mediakeysession-keystatuses', 'keyStatuses')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaKeySession.keyStatuses")}}</p>
</div>
